WordPress.org

Ready to get started?Download WordPress

Forums

W3 Total Cache
[resolved] Is WordPress 3.1 supported officially yet? (17 posts)

  1. bobmorris60
    Member
    Posted 3 years ago #

    Don't want to upgrade until I'm sure

  2. obragblog
    Member
    Posted 3 years ago #

    Waiting for the answer to this myself!

  3. Dave
    Member
    Posted 3 years ago #

    Well according to the beta 2 months ago, and the current WP-plugin depository no it's not

    http://wordpress.org/support/topic/plugin-w3-total-cache-w3tc-breaks-under-wordpress-31-beta-1

    Would love to hear from Frederick on this?

  4. itsdaniel0
    Member
    Posted 3 years ago #

    Well, I upgraded last night, both my desktop and mobile seem to be working.
    However, saying that W3 Total Cache hasn't been working for me at all since I started using it...
    http://www.itsdaniel0.com

  5. ebola5114
    Member
    Posted 3 years ago #

    I've upgrated to WordPress 3.1 and the last version of W3 Total Cache (0.9.1.3) isn't compatible, it doesn't work for me :( ...

  6. Galerio
    Member
    Posted 3 years ago #

    I have 3 website update to wp 3.1 and all is working perfectly. I had only to update the minify option for js because wp3.1 has updated its jquery version.

  7. bobmorris60
    Member
    Posted 3 years ago #

    Thanks for the info. It works fine for me on my WAMP install on my laptop too. Am waiting for the bug fix version of 3.1 before upgrading

  8. callmeforsox
    Member
    Posted 3 years ago #

    It's not invalidating homepages for me.

  9. RyanWilliams
    Member
    Posted 3 years ago #

    Fairly concerning that this is still an unresolved issue despite WordPress 3.1 having been out for several weeks. Ideally the plugin would be made as compatible as possible in advance of an official WordPress release, considering how the site is supposedly used on large sites such as Smashing Magazine, and that the plugin is relatively critical to the smooth running of a site.

    If the plugin author is having trouble maintaining it I'd recommend going on some kind of drive to get donations (I'm sure the larger sites using it would be happy to contribute), or perhaps finding someone else to help with its maintenance.

  10. robnalexpress
    Member
    Posted 3 years ago #

    Still waiting for confirmation from Frederick that it's OK to upgrade to WordPress 3.1.1 or not. I'm still running 3.0.5.

  11. robnalexpress
    Member
    Posted 3 years ago #

    Bump! Anyone successfully using W3TC with 3.1.1 AND multisite?

  12. kfawcett
    Member
    Posted 3 years ago #

    I have the development plug in running on 3.1 multisite without any issues.

  13. bobmorris60
    Member
    Posted 3 years ago #

    kfawcett: Is there a development version that is separate from the one on wordpress.org? If so, where can it be downloaded?

  14. pbsbluejay
    Member
    Posted 3 years ago #

    I installed W3TC on WP 3.1. and 3.1.1 and my database crashed on both (all posts and pages were missing)...

    "WordPress database error: [Table './pxxxxxx_wrdp15/wp_posts' is marked as crashed and last (automatic?) repair failed]
    SELECT post_status, COUNT( * ) AS num_posts FROM wp_posts WHERE post_type = 'post' GROUP BY post_status"

    I went to my phpMyAdmin at Hostgator and found two tables, wp_pba_index_7 and wp_posts, inside database wrpd_15 were listed as 'in use'. I had to deactivate the W3TC plugin and repair both tables to get all of my posts and pages back to my WP blog.

    This occurred a few times after trying to resolve the first and second crash. I've given up... didn't find any help in the forum or solution as of yet that could be causing the issue. The plugin was working fine and made my blog faster but I can't say for sure if this had anything do with the plugin being incompatible to WP 3.1 and 3.1.1 or something I overlooked.

  15. Avin
    Member
    Posted 3 years ago #

    Hello
    for me is working with 3.1 but some times the cache don't want to be deleted.
    and i must delete it manually, it happens every day .
    any solution about this ?
    Thank you for reading this comment

  16. robnalexpress
    Member
    Posted 3 years ago #

    Can anyone confirm running WP 3.1.2 + W3TC + Multisite + Domain Mapping? I'm still running WP 2.0.9 and would hate to upgrade to 3.1.2 only to find out the hard way that it doesn't play nice with W3TC + Multisite + Domain Mapping.

  17. Frederick Townes
    Member
    Plugin Author

    Posted 2 years ago #

    Yes it's compatible.

Topic Closed

This topic has been closed to new replies.

About this Plugin

About this Topic